access-log: !env DEV_PROXY_ACCESS_LOG
error-log: !env DEV_PROXY_ERROR_LOG

file.io_uring: ON
ssl-offload: kernel
http2-reprioritize-blocking-assets: ON
num-threads: 2
limit-request-body: 4294967296

file.mime.addtypes:
   "application/javascript;charset=utf-8":
      extensions: [ ".js" ]
   "text/css;charset=utf-8":
      extensions: [ ".css" ]
   "text/html;charset=utf-8":
      extensions: [ ".htm", ".html" ]

hosts:
   nixtamal.toast.al:
      listen:
         host: !env DEV_PROXY_HOST
         port: !env DEV_PROXY_PORT
      paths:
         /:
            file.dir: !env SOUPAULT_BUILD_DIR
            file.dirlisting: ON
            header.set:
               - 'Referrer-Policy: strict-origin-when-cross-origin'
               - 'X-Frame-Options: SAMEORIGIN'
               - 'X-Content-Type-Options: nosniff'
               - 'X-XSS-Protection: 1;mode=block'
               - 'Content-Security-Policy: default-src ''self'''
         /asset:
            file.dir: !env ASSET_DIR
